/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.geronimo.samples.myphonebookpak;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceUnit;

@Stateless
public class MyPhonebookBean implements MyPhonebookLocal {

    @PersistenceUnit(unitName = "PhonePU")
    protected EntityManagerFactory emf;

    public MyPhonebookBean() {

    }

    public PhoneBook findByPrimaryKey(String name) {
        EntityManager em = emf.createEntityManager();

        PhoneBook phonebook = (PhoneBook) em.find(PhoneBook.class, name);

        em.close();

        return phonebook;
    }
}
